IMPORT os

MAIN

    DEFINE l_win      ui.Window
    DEFINE l_frm      ui.Form
    DEFINE textedit   STRING

    CALL ui.interface.loadStyles("Richtext")
    MENU
        COMMAND "V1"
            OPEN WINDOW edit WITH FORM "Richtext1"
            LET l_win    = ui.Window.getCurrent()
            LET l_frm    = l_win.getForm()
            CALL do_input(l_frm,"plain")
            CALL do_input(l_frm,"htmlToolBox")
            CLOSE WINDOW edit
        COMMAND "V2"
            CALL do_input(NULL,"plain")
            CALL do_input(NULL,"htmlToolBox")
        COMMAND "&Quit"
            EXIT MENU
     END MENU

END MAIN



FUNCTION do_input(l_frm,l_style)

    DEFINE l_frm    ui.Form
    DEFINE l_win    ui.Window
    DEFINE l_style  STRING
    DEFINE l_opened SMALLINT
    DEFINE textedit STRING

    LET l_opened = FALSE
    IF l_frm IS NULL THEN
        OPEN WINDOW edit WITH FORM "Richtext1"
        LET l_win    = ui.Window.getCurrent()
        LET l_frm    = l_win.getForm()
        LET l_opened = TRUE
    END IF
    CALL l_frm.setFieldStyle("textedit",l_style)
    INPUT BY NAME textedit ATTRIBUTES(UNBUFFERED, WITHOUT DEFAULTS)
      ON ACTION help
        MENU "Help..." ATTRIBUTE(style="dialog", COMMENT="Help !")
          COMMAND "ok"
            EXIT MENU
        END MENU
    END INPUT
    IF l_opened THEN
        CLOSE WINDOW edit
    END IF
    DISPLAY l_style," : ",textedit

END FUNCTION


